:root {
    --primary: #d0d0d0;
    --secondary: #202020;
    --myshadow: #212121;
    --glow: #ffffff4d;
    --glass: #1313139f;
    --red: #ab3232;
    --bege: #c2997a;
}

html {
    scroll-behavior: smooth;
}

main>section:not(.presentation) {
    opacity: 0;
    transition: .6s ease;
}

main>section:not(.presentation).show {
    opacity: 1;
    transition: .6s ease;
}

body:not(header) {
    background-color: var(--secondary);
    color: var(--primary);
    font-size: 16px;
    margin: 0 auto;
    font-family: "Quicksand", sans-serif;
}

body.dark-mode {
    background-color: var(--primary);
    color: var(--secondary);
}

.banner {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    backdrop-filter: blur(4px);
    width: 100vw;
}

.introduction {
    background-image: url('../assets/images/Roma\ Antiga.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: 100vw;
}

.presentation h1,
.presentation h2 {
    text-align: center;
    text-shadow: 0 0 10px var(--myshadow);
    font-size: 80px;
    line-height: 30px;
}

body.dark-mode .presentation {
    color: var(--primary)
}

header {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background-color: var(--glass);
    backdrop-filter: blur(10px);
    position: fixed;
    padding: 10px;
    top: 0;
    width: 100%;
    padding: 15px;
    z-index: 1;
}

.nav-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    padding: 10px;
}

body.dark-mode header {
    background-color: var(--myshadow);
    color: var(--primary)
}

.nav-bar a {
    text-decoration: none;
    color: var(--primary);
    text-align: center;
    transition: .4s;
}

.nav-bar a:hover {
    color: rgb(231, 55, 55)
}

body.dark-mode .nav-bar a:hover {
    color: cyan;
}

.menu-link {
    position: relative;
}

.menu-link::after {
    content: '';
    height: 1px;
    width: 0;
    position: absolute;
    bottom: 0;
    margin-top: 4px;
    left: 0;
    background-color: var(--primary);
    transition: .4s;
}

.menu-link:hover::after {
    width: 100%;
    transition: .4s;
    background-color: rgb(231, 55, 55);
}

body.dark-mode .menu-link:hover::after {
    background-color: cyan;
}

.myavatar {
    width: 600px;
    border-radius: 50%;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.8);
    margin: 4rem 0 4rem 0;
}

.lkd i,
.bhc i,
.github i,
.insta i {
    width: 50px;
    height: 50px;
    font-size: 40px;
    background-color: var(--primary);
    padding: 8px;
    border-radius: 10px;
    transition: .4s;
    color: var(--secondary);
    margin: 0 auto;
}

.lkd i:hover,
.bhc i:hover,
.github i:hover,
.insta i:hover {
    filter: invert();
    font-size: 45px;
    backdrop-filter: invert();
    box-shadow: 0px 0px 40px var(--myshadow);
    transition: .2s;
}

.about-me {
    display: flex;
    gap: 100px;
    justify-content: space-evenly;
    align-items: center;
    padding: 0 6rem 0 6rem;
    margin: 100px 0 100px 0;
    text-align: center;
    background-color: var(--primary);
    color: var(--secondary);
    transition: .2s;
}

body.dark-mode .about-me {
    background-color: var(--secondary);
    color: var(--primary);
}

.about-me p {
    font-size: 22px;
}

.techs {
    margin: 50px 0 50px 0;
}

.techs i {
    font-size: 60px;
    transition: .2s;
}

.techs i:hover {
    transform: scale(1.4);
    cursor: pointer;
    transition: .2s;
    filter: drop-shadow(0px 0px 10px var(--glow))
}

ul {
    list-style: none;
    margin: 0 auto;
    padding: 0;
}

.techs ul {
    display: flex;
    justify-content: center;
    margin: 0 auto;
    gap: 20px;
}

h2,
.projects h3 {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.about-me h2 {
    font-size: 50px;
    text-align: left;
}

.design {
    margin: 4rem 0 4rem 0;
}

.design ul {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 40px;
}

summary {
    text-align: center;
}

.avatar2nd {
    min-height: auto;
    min-width: auto;
    filter: grayscale() drop-shadow(10px 10px 10px rgba(0, 0, 0, 0.3));
}

main {
    margin: 70px 0 100px 0;
}

.text {
    text-align: justify;
    align-items: center;
}

.logotipo {
    font-family: 'Courier New', Courier, monospace;
}

.briefing {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;
    margin: 100px 0 100px 0;
    gap: 150px;
    transition: .2s;
}

.briefing>img {
    border-radius: 50%;
    width: 600px;
    transition: .4s;
}

.briefing img:hover {
    transform: scale(1.05);
    box-shadow: 0px 0px 60px var(--glow);
    cursor: pointer;
    transition: .4s;
}

.social-media {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    width: fit-content;
    gap: 20px;
    align-items: center;
    place-items: center;
}

.briefing>.presentation {
    display: flex;
    flex-direction: column;
}

.presentation h3 {
    text-align: center;
    font-size: 30px
}

.wpp {
    background-color: var(--primary);
    border: none;
    font-size: 15px;
    padding: 8px;
    border-radius: 10px;
    transition: .4s;
    cursor: pointer;
}

.wpp:hover {
    filter: invert();
    transition: .4s;
    border: solid 1px var(--secondary)
}

.wpp a {
    text-decoration: none;
    color: var(--secondary)
}

.me {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    text-align: center;
}

.hobbies h2,
.art-title,
.projects h2,
.education h2 {
    text-align: center;
    font-size: 50px;
}

.hobbies ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    row-gap: 20px;
    width: fit-content;
    column-gap: 100px;
    place-items: center;
    place-content: center;
}

.hobby {
    display: flex;
    flex-direction: column;
    font-size: 20px;
    align-items: center;
    justify-content: center;
    min-width: fit-content;
    gap: 40px;
    margin: 100px 0 100px 0;
    transition: .2s;
}

.hobby i {
    font-size: 80px;
    transition: .2s;
}

.hobby i:hover {
    transform: scale(1.15);
    filter: drop-shadow(0px 0px 10px var(--glow));
    transition: .2s;
    cursor: pointer;
}

.album {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: fit-content;
}

.album img {
    width: 400px;
}

.cbj, .kv {
    visibility: hidden
}

.album button {
    background-color: transparent;
    border: none;
}

.album button:hover {
    cursor: pointer;
}

.end {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 100px 0 100px 0;
    font-size: 20px;
}

.end h2,
.end strong {
    color: #f31f1f;
}

.mc strong,
.mc h2 {
    color: var(--bege);
}

.end img,
.mc img {
    width: 500px;
    aspect-ratio: 3/4;
    object-fit: cover;
    border-radius: 15px;
    background-color: transparent;
    transition: .4s;
}

.end img:hover,
.mc img:hover {
    box-shadow: 0px 0px 60px var(--glow);
}

#end-image,
#cm-image {
    background-color: transparent;
    border-radius: 15px;
    border: none;
    transition: .4s;
}

#end-image:hover {
    cursor: pointer;
    transform: translateX(100px);
    transition: .4s;
}

#cm-image:hover {
    cursor: pointer;
    transform: translateX(-100px);
    transition: .4s;
}

.explanation {
    width: 600px;
    text-align: justify;
    transition: .4s;
    font-size: 24px;
}

.explanation:hover {
    transform: translateX(-100px);
    transition: .4s;
}

.mc .explanation:hover {
    transform: translateX(100px);
    transition: .4s;
}

.mc {
    display: flex;
    align-items: center;
    margin: 100px 0 100px 0;
    font-size: 20px;
    flex-direction: row-reverse;
    justify-content: center;
}

footer {
    padding: 40px;
}

.projects,
.art {
    opacity: 0;
    transition: .2s;
}

.projects li {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 100px;
    flex-direction: row-reverse;
    font-size: 30px;
    text-align: justify;
    gap: 100px;
}

.projects li:nth-child(2n) {
    flex-direction: row;
}

.projects li:nth-child(2n+1) {
    flex-direction: row-reverse;
}

.projects div {
    width: 800px;
}

.projects a {
    transition: .4s;
    text-align: center;
}

.projects a:hover {
    transform: scale(1.05);
    transition: .4s;
}

.projects img {
    width: 800px;
    border-radius: 20px;
    aspect-ratio: 16/9;
    object-fit: cover;
    transition: .4s;
}

.projects img:hover {
    box-shadow: 0px 0px 60px var(--glow);
    transition: .4s;
}

.darkMode {
    background-color: transparent;
    border: none;
    font-size: 25px;
    color: var(--primary);
    transition: .4s;
}

.darkMode:hover {
    cursor: pointer;
    text-shadow: 0px 0px 60px var(--glow);
    color: var(--red);
    transition: .4s;
}

body.dark-mode .darkMode:hover {
    color: cyan;
}

.logotipo {
    transition: .4s;
}

.logotipo:hover {
    color: var(--red);
    transition: .4s;
}

body.dark-mode .logotipo:hover {
    color: cyan;
}

.institutes {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    place-items: center;
}

.institutes figure{
    height: fit-content;
}

.institutes img {
    height: 100px;
    transition: .4s;
}

.institutes img:hover{
    transform: scale(1.2);
    transition: .4s;
}

.institutes>div{
    display: flex;
    width: 700px;
    text-align: justify;
}

.description>h3, .description>h4{
    margin: 12px 0 12px 0;
}

.description a{
    text-decoration: none;
    color: var(--primary);
    transition: .4s;
}

.education a:hover:nth-child(2n){
    color: rgb(0, 128, 255);
    transition: .4s;
}

.education a:hover:nth-child(2n+1){
    color: green;
    transition: .4s;
}

.fafic{
    object-fit: cover;
    object-position: 0% 0%;
    aspect-ratio: 1/1;
}

@media (min-width:300px) and (max-width: 840px) {
    body {
        width: 100%;
        margin: 0 auto;
    }

    .presentation h1,
    .presentation h2 {
        font-size: 20px;
        line-height: 10px;
    }

    .banner {
        flex-direction: column;
        margin: 0 auto;
        justify-content: center;
        align-items: center;
    }

    .introduction {
        background-image: none;
        min-width: 300px;
        width: 100%;
        margin: 0 auto;
    }

    #about-me {
        min-width: 300px;
        width: 100%;
    }

    .introduction img {
        min-width: 300px;
        width: 50%
    }

    .logotipo {
        display: none;
    }

    header {
        display: none;
    }

    .darkMode {
        display: none;
    }

    .briefing {
        flex-direction: column;
        margin: 0 auto;
    }

    .about-me h2 {
        text-align: center;
    }

    .briefing img {
        display: none;
    }

    .about-me {
        flex-direction: column-reverse;
        min-width: 300px;
        width: 100%;
        font-size: 20px;
        text-align: justify;
        padding: 0 20px 0 20px;
        justify-content: center;
        align-items: center;
    }

    .end,
    .mc {
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
    }

    .end img,
    .mc img {
        width: 300px;
    }

    .end img:hover,
    .mc img:hover {
        transform: translateY(10px) translateX(0);
    }

    .end h2,
    .mc h2 {
        text-align: center;
    }

    .me {
        text-align: center;
    }

    .techs ul {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        row-gap: 50px;
        column-gap: 50px;
    }

    .avatar2nd {
        width: 100%;
        max-width: 412px;
    }

    .hobbies ul {
        grid-template-columns: repeat(1, 1fr);
        row-gap: 1px;
        width: fit-content;
        column-gap: 1px;
    }

    .hobbies i,
    .hobbies p {
        font-size: 60px;
    }

    .explanation {
        min-width: 300px;
        width: 90%;
    }

    .mc .explanation:hover,
    .end .explanation:hover {
        transform: none;
    }

    .end img,
    .mc img {
        min-width: 400px;
        width: 60%
    }

    #end-image:hover {
        cursor: default;
        transform: none;
    }

    #cm-image:hover {
        cursor: default;
        transform: none;
    }

    .text {
        width: 80%
    }

    .projects {
        padding: 0px;
        min-width: 300px;
        width: 100%;
    }

    .projects li:nth-child(2n) {
        flex-direction: column-reverse;
        gap: 0px;
        font-size: 20px;
        align-items: center;
    }

    .projects li:nth-child(2n+1) {
        flex-direction: column-reverse;
        gap: 0px;
        font-size: 20px;
        align-items: center;
    }

    .projects div {
        width: 300px;
    }

    .projects img {
        min-width: 300px;
        width: 100%;
        aspect-ratio: 4/3;
    }

    .projects h3 {
        text-align: center;
    }

    .social-media {
        grid-template-columns: repeat(4, 1fr);
    }

    .briefing {
        margin: 0px;
    }
}